Discussion:
SED on GNV
Add Reply
issinoho
2021-01-13 10:50:08 UTC
Reply
Permalink
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?

TIA.
John Reagan
2021-01-13 14:33:48 UTC
Reply
Permalink
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
There should be an installable VSI GNV at the VSI open source ftp area.

$ sed :== $gnv$gnu:[bin]sed.exe
$ sed --version
/_$1$DGA29/REAGAN/I64_GNV/BIN/SED.EXE (GNU sed) 4.2.2
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jay Fenlason, Tom Lord, Ken Pizzini,
and Paolo Bonzini.
GNU sed home page: <http://www.gnu.org/software/sed/>.
General help using GNU software: <http://www.gnu.org/gethelp/>.
E-mail bug reports to: <bug-***@gnu.org>.
Be sure to include the word ``sed'' somewhere in the ``Subject:'' field.
$ show system/noproc
OpenVMS V8.4-2L1 on node LOBSTA 13-JAN-2021 09:33:13.18 Uptime 1 19:38:49
issinoho
2021-01-13 15:37:46 UTC
Reply
Permalink
Post by John Reagan
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
There should be an installable VSI GNV at the VSI open source ftp area.
$ sed :== $gnv$gnu:[bin]sed.exe
$ sed --version
/_$1$DGA29/REAGAN/I64_GNV/BIN/SED.EXE (GNU sed) 4.2.2
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by Jay Fenlason, Tom Lord, Ken Pizzini,
and Paolo Bonzini.
GNU sed home page: <http://www.gnu.org/software/sed/>.
General help using GNU software: <http://www.gnu.org/gethelp/>.
Be sure to include the word ``sed'' somewhere in the ``Subject:'' field.
$ show system/noproc
OpenVMS V8.4-2L1 on node LOBSTA 13-JAN-2021 09:33:13.18 Uptime 1 19:38:49
Unfortunately VSI only support IA64, not Alpha.
Arne Vajhøj
2021-01-13 15:50:40 UTC
Reply
Permalink
Post by issinoho
Post by John Reagan
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
There should be an installable VSI GNV at the VSI open source ftp area.
$ sed :== $gnv$gnu:[bin]sed.exe
$ sed --version
/_$1$DGA29/REAGAN/I64_GNV/BIN/SED.EXE (GNU sed) 4.2.2
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by Jay Fenlason, Tom Lord, Ken Pizzini,
and Paolo Bonzini.
GNU sed home page: <http://www.gnu.org/software/sed/>.
General help using GNU software: <http://www.gnu.org/gethelp/>.
Be sure to include the word ``sed'' somewhere in the ``Subject:'' field.
$ show system/noproc
OpenVMS V8.4-2L1 on node LOBSTA 13-JAN-2021 09:33:13.18 Uptime 1 19:38:49
Unfortunately VSI only support IA64, not Alpha.
The source should be available. And I would expect that if it builds
on VMS I64 then it should build on VMS Alpha.

Arne
Stephen Hoffman
2021-01-13 14:35:56 UTC
Reply
Permalink
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does
not install on VSI - are there any plans to update, or alternate builds
of SED available?
The GNV sourceforge site isn't the host site for GNV AFAIK, it's being
managed from the PORTING_TO_VMS notes conference on the decuserve.org
site.

Check there for updates and status and related. (Whether John might
see the postings here? Donno. But there's newer bits there than on the
GNV sourceforge site.

You'll need a decuserve.org login, and those are free if you don't
already have one. Then use NOTES to access the PORTING_TO_VMS
conference, and start reading.

If sed isn't updated there, well, scrounge up the more current sed
sources in combination with the latest GNV kits and bits on your
OpenVMS box, and re-port it.

YWIA.
--
Pure Personal Opinion | HoffmanLabs LLC
Ben Lambert
2021-01-13 16:08:24 UTC
Reply
Permalink
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
I've installed the one from the GNV site on VSI Alpha OpenVMS. You need to use the VSI provided script that removes kit dependencies first.

Ben.
issinoho
2021-01-13 17:06:22 UTC
Reply
Permalink
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
I've installed the one from the GNV site on VSI Alpha OpenVMS. You need to use the VSI provided script that removes kit dependencies first.
Ben.
Excellent. Can you point me at documentation for that script?

TIA
Ben Lambert
2021-01-13 23:38:59 UTC
Reply
Permalink
Post by issinoho
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
I've installed the one from the GNV site on VSI Alpha OpenVMS. You need to use the VSI provided script that removes kit dependencies first.
Ben.
Excellent. Can you point me at documentation for that script?
TIA
It's supplied with VSI OpenVMS:
@sys$update:vsi$cvt_kit_dependency.com

Then run pcsi with the noval option.
product install/opt=noval *

HTH

Ben.
issinoho
2021-01-14 10:48:04 UTC
Reply
Permalink
Post by Ben Lambert
Post by issinoho
Post by issinoho
The last Alpha build of SED on the GNV site is now 7 years old and does not install on VSI - are there any plans to update, or alternate builds of SED available?
TIA.
I've installed the one from the GNV site on VSI Alpha OpenVMS. You need to use the VSI provided script that removes kit dependencies first.
Ben.
Excellent. Can you point me at documentation for that script?
TIA
@sys$update:vsi$cvt_kit_dependency.com
Then run pcsi with the noval option.
product install/opt=noval *
HTH
Ben.
Thanks you, Sir, that's exactly what I was looking for; hugely useful information.
Loading...